Support Questions
Find answers, ask questions, and share your expertise

Zeppelin failing on HDP 2.4

Solved Go to solution

Zeppelin failing on HDP 2.4

Expert Contributor

I've installed Zeppelin but it won't run.

I have fixed the following errors:

mkdir /var/run/zeppelin-notebook: permision denied

by making: /var/run/user/1022/zeppelin-notebook

I also needed to make: /var/run/user/1022 and /var/run/user/1022/zeppelin-notebook

also

java.io.FileNotFoundException: /usr/hdp/current/zeppelin-server/lib/conf/shiro.ini

solution:

sudo wget -O /usr/hdp/current/zeppelin-server/lib/conf/shiro.ini "https://github.com/apache/zeppelin/blob/master/conf/shiro.ini"

Now i get:

ZeppelinServer.java[main]:117) - Error while running jettyServer
java.lang.IllegalArgumentException: Line argument must contain a key and a value.  Only one string token was found.

I'm assuming it is becasue shiro.ini was not suitable. Can anyone tell me how to make it suitable or any other fix? TIA!!!

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Zeppelin failing on HDP 2.4

Expert Contributor
@ed day

try this

sudo wget -O /usr/hdp/current/zeppelin-server/lib/conf/shiro.ini "https://raw.githubusercontent.com/apache/zeppelin/master/conf/shiro.ini"

View solution in original post

4 REPLIES 4

Re: Zeppelin failing on HDP 2.4

Expert Contributor
@ed day

try this

sudo wget -O /usr/hdp/current/zeppelin-server/lib/conf/shiro.ini "https://raw.githubusercontent.com/apache/zeppelin/master/conf/shiro.ini"

View solution in original post

Re: Zeppelin failing on HDP 2.4

Expert Contributor

Solved thanks!

Re: Zeppelin failing on HDP 2.4

Guru

Not sure which instructions you are using, but make sure these were followed: https://community.hortonworks.com/articles/34424/apache-zeppelin-on-hdp-242.html

If not followed, suggest uninstalling Zeppelin and reinstalling with the steps shown in the link.

Also, consider upgrading to HDP 2.5. Zeppelin is GA in this version (not Technical Preview) and the install is 100% from the Ambari UI. https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.5.0/bk_zeppelin-component-guide/content/ch_inst...

Re: Zeppelin failing on HDP 2.4

Expert Contributor

Thanks. I might go to 2.5 but I have only just got 2.4 working after a loooong time!